%global framework ksmtp 

Name:    kf5-%{framework}
Version: 23.08.5
Release: 1
Summary: KDE SMTP libraries

License: LGPLv2+
URL:     https://invent.kde.org/frameworks/%{framework}/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        https://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

## upstream patches

## upstreamable patches

%global kf5_ver 5.100
BuildRequires: extra-cmake-modules >= %{kf5_ver}
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KIO)

BuildRequires: qt5-qtbase-devel

BuildRequires: kf5-kmime-devel >= %{version}
BuildRequires: cmake(KPim5Mime)

BuildRequires: pkgconfig(libsasl2)

# runtime sasl plugins
Suggests: cyrus-sasl-gssapi%{?_isa}
Recommends: cyrus-sasl-md5
Requires: cyrus-sasl-plain

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(KF5CoreAddons)
Requires:       cmake(KPim5Mime)
Requires:       kf5-kmime-devel >= %{version}
%description    devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
%cmake_kf5

%make_build


%install
%make_install

%find_lang %{name} --all-name --with-html


%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5SMTP.so.*

%files devel
%{_kf5_libdir}/libKPim5SMTP.so
%{_kf5_libdir}/cmake/KPim5SMTP/
%{_includedir}/KPim5/KSMTP/
%{_kf5_archdatadir}/mkspecs/modules/qt_KSMTP.pri


%changelog
* Fri Mar 15 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Mon Jan 08 2024 wangqia <wangqia@uniontech.com> - 23.08.4-1
- Update to upstream version 23.08.4

* Mon Aug 14 2023 huayadong <huayadong@kylinos.cn> - 23.04.3-1
- update to 23.04.3-1

* Fri May 05 2023 peijiankang <peijiankang@kylinos.cn> - 22.12.0-2
- fix install error

* Tue Apr 25 2023 peijiankang <peijiankang@kylinos.cn> - 22.12.0-1
- Init Package for openEuler

